PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all class members with links to the classes they belong to:

### - d -

- data : PHashTableElement , PListElement , PVarType::Variant::Dynamic
- Data : DnsRecord , PSTUNMessage
- data : PVarType::Variant , DNS_NULL_DATA
- DATA : PSMTP , PSTUNAttribute
- data_type : PDictionary< K, D > , PSafeDictionary< K, D >
- DataChannelType : PFTP
- DataEntryTerminal : PTelnetSocket
- DataMark : PTelnetSocket
- DataSource() : PODBC
- DateAndTime : PTrace
- DateOrder : PTime
- DateTag() : PHTTP , PRFC822Channel
- DaylightSavings : PTime
- DayMonthYear : PTime
- Deallocate() : PMemoryHeap , PThread::LocalStorageBase , PThreadLocalStorage< Storage_T >
- December : PTime
- Decimal : PString
- Decode() : PCypher , PDTMFDecoder , PMultiPartList , PASNString , PASNUnsignedInteger , PASNGauge , PASNObjectID , PASNSequence , PSNMP_PDUs , PSNMP_VarBind , PSNMP_PDU , PSNMP_Trap_PDU , PSNMP_Message , PBase64 , PCypher
- DecodeASNInteger() : PASNObject
- DecodeASNLength() : PASNObject
- DecodeASNUnsigned() : PASNObject
- DecodeBasicAuthority() : PHTTPAuthority
- DecodeBlock() : PCypher , PTEACypher
- DecodeMultipartFormInfo() : PHTTPConnectionInfo
- DecodeMultiPartList() : PMIMEInfo
- Decrypt() : PHTTPPasswordField
- DEFAULT_MAX_ENTITY_LENGTH : PXMLBase
- defaultAllowance : PIpAccessControlList
- defaultBaseDN : PLDAPSession
- DefaultDirPerms : PFileInfo
- DefaultFlowControl : PSerialChannel
- defaultHostToLocal : PURLLegacyScheme
- DefaultParity : PSerialChannel
- DefaultPerms : PFileInfo
- defaultPort : PURLLegacyScheme
- DefaultPort : PFTP , PSTUN
- DefaultPriority : PInterfaceMonitor
- DefaultRefreshInterval : PInterfaceMonitor
- Defaults : PSecureConfig
- DefaultSampleRate : PTones
- defaultSection : PConfig
- DefaultServerPort : PSocksProtocol
- defaultServiceName : PInternetProtocol
- DefaultToneLen : PDTMFEncoder
- defaultToUserIfNoAt : PURLLegacyScheme
- Definition() : PHTML::Definition
- DefinitionItem() : PHTML::DefinitionItem
- DefinitionList() : PHTML::DefinitionList
- DefinitionTerm() : PHTML::DefinitionTerm
- deinitCmd : PModem
- Deinitialise() : PModem
- DeinitialiseFailed : PModem
- Deinitialising : PModem
- delay : PICMPSocket::PingInfo
- Delay() : PAdaptiveDelay
- DelayReadsAndWrites : PDelayChannel
- DelayReadsOnly : PDelayChannel
- DelayWritesOnly : PDelayChannel
- DELE : PFTP , PPOP3
- DELETE : PHTTP
- Delete : DNS_RECORD_FLAGS , PLDAPSession::ModAttrib , PString , PLDAPSession , PODBC::Row
- DeleteDocument() : PHTTPClient
- DeletedText() : PHTML::DeletedText
- DeleteKey() : PConfig
- deleteKeys : PHashTableInfo
- DeleteMessage() : PMail , PPOP3Client
- DeleteObject() : PSafePtrBase , PSafeCollection , PSafePtrMultiThreaded
- deleteObjects : PContainerReference , PSafeCollection
- DeleteObjectsToBeRemoved() : PSafeCollection
- DeletePerson() : PILSSession
- DeleteRow() : PODBC::RecordSet
- DeleteSection() : PConfig
- DeleteSubTrees() : PAbstractSortedList
- DelResource() : PHTTPSpace
- Dequeue() : PQueue< T >
- dequeuePos : PQueueChannel
- descriptor : PPluginService
- desiredColourFormat : PVideoInput1394DcDevice
- desiredFrameHeight : PVideoInput1394DcDevice
- desiredFrameWidth : PVideoInput1394DcDevice
- destination : PIPSocket::RouteEntry
- DestroyContents() : PSharedPtr< T > , PContainer , PHashTableInfo
- DestroyLockFile() : PSpoolDirectory
- DestroyReference() : PContainer , PConstantString< ParentString >
- DestroySingleton() : PFactoryTemplate< AbstractClass, ParamType, KeyType >::WorkerBase
- DestroySingletons() : PFactoryBase , PFactoryBase::FactoryMap , PFactoryTemplate< AbstractClass, ParamType, KeyType >
- DestroySocket() : PMonitoredSockets
- Destruct() : PContainer , PDirectory
- Detach() : XMPP::Roster
- DetailedNames : PFTP
- DetectSamples : PDTMFDecoder
- DetectTime : PDTMFDecoder
- DeviceInUse : PChannel
- deviceName : PVideoDevice::OpenArgs , PVideoDevice , PVideoChannel
- dh : PSSLDiffieHellman
- Dial() : PModem
- DialFailed : PModem
- Dialling : PModem
- dict_type : PDictionary< K, D > , PSafeDictionary< K, D >
- dictMutex : PVideoChannel
- Digest : PSHA1Context
- Direction : PRFC822Channel
- direction : PVideoChannel
- Directions : PVideoChannel , PSoundChannel
- directory : PDirectory
- dirty : PXMLElement , PXMLObject
- DisableCodes : PHTML
- Disabled : PHTML
- DisableDecode() : PVideoOutputDevice , PVideoChannel
- DisableSSL() : PSecureHTTPServiceProcess
- DisallowDeleteObjects() : PCollection , PSafeCollection
- Disconnect() : PODBC
- Discover() : XMPP::C2S::StreamHandler
- DiscoverInfo() : XMPP::C2S::StreamHandler
- DiscoverItems() : XMPP::C2S::StreamHandler
- DiskFull : PChannel
- DispatchCommand() : PFTPServer
- DisplayRawData() : PVideoChannel
- Division() : PHTML::Division
- dllHandle : PDynaLink
- DND : XMPP::Presence
- DO : PTelnetSocket
- docType : PXML
- DocType : PXML
- domain : PIpAccessControlEntry
- DONT : PTelnetSocket
- DONT_FRAGMENT : PSTUNAttribute
- DontStuff : PInternetProtocol
- DoPseudoRead() : PUDPSocket
- DoRFC3489Discovery() : PSTUN
- driverName : PVideoDevice::OpenArgs
- DtmfChar() : PDTMFEncoder
- DumpObjectsSince() : PMemoryHeap
- DumpStatistics() : PMemoryHeap
- DW : DnsRecord
- dwByteCount : DNS_NULL_DATA
- dwLastError : PSound
- dynamic : PVarType::Variant
- DynamicSingleton : PFactoryTemplate< AbstractClass, ParamType, KeyType >::WorkerBase